Groovy 1.7.0

## org.codehaus.groovy.ast.expr
Class ConstantExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.ConstantExpression

    class ConstantExpression
    extends Expression

Represents a constant expression such as null, true, false

author:
  James Strachan

version:
  $Revision: 16444 $

Field Summary
`static ConstantExpression` | `EMPTY_EXPRESSION`
`static ConstantExpression` | `EMPTY_STRING`
`static ConstantExpression` | `FALSE`
`static ConstantExpression` | `NULL`
`static ConstantExpression` | `TRUE`
`static ConstantExpression` | `VOID`

Constructor Summary
`ConstantExpression(Object value)`

Method Summary
`String` | `getConstantName()`
`String` | `getText()`
`Object` | `getValue()`
`boolean` | `isEmptyStringExpression()`
`boolean` | `isFalseExpression()`
`boolean` | `isNullExpression()`
`boolean` | `isTrueExpression()`
`void` | `setConstantName(String constantName)`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, isSynthetic, setDeclaringClass, setSynthetic

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### EMPTY_EXPRESSION

    static final ConstantExpression EMPTY_EXPRESSION

### EMPTY_STRING

    static final ConstantExpression EMPTY_STRING

### FALSE

    static final ConstantExpression FALSE

### NULL

    static final ConstantExpression NULL

### TRUE

    static final ConstantExpression TRUE

### VOID

    static final ConstantExpression VOID

Constructor Detail

### ConstantExpression

    public ConstantExpression(Object value)

Method Detail

### getConstantName

    public String getConstantName()

### getText

    public String getText()

### getValue

    public Object getValue()

  return:
    the value of this constant expression

### isEmptyStringExpression

    public boolean isEmptyStringExpression()

### isFalseExpression

    public boolean isFalseExpression()

### isNullExpression

    public boolean isNullExpression()

### isTrueExpression

    public boolean isTrueExpression()

### setConstantName

    public void setConstantName(String constantName)

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2009 The Codehaus. All rights reserved.